Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class LayoutDefinition

    java.lang.Object
      com.bea.netuix.application.definition.LayoutDefinition

All Implemented Interfaces
  DateableDefinition, Serializable

    public class LayoutDefinition

extends Object
implements DateableDefinition, Serializable

This class represents a persistent layout.

See Also
  Serialized Form

Constructor Summary
`LayoutDefinition(LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, PlaceholderDefinition[] placeholderDefinitions, String iconUri, String htmlLayoutUri, String webAppName, String layoutFile, boolean deleted)` Constructs a new `LayoutDefinition` object.

Method Summary
`Date` | `getCreatedDate()` Gets the time that this object was created in the database.
`String` | `getHtmlLayoutUri()` Getter for property htmlLayoutUri.
`String` | `getIconUri()` Getter for property iconUri.
`LayoutDefinitionId` | `getLayoutDefinitionId()` Returns the `LayoutDefinitionId` for this layout.
`String` | `getLayoutFile()` Returns the path to the layout file.
`LocalizationResource` | `getLocalizationResource()` Returns the `LocalizationResource` associated with this layout based on the locale of the request used for retrieving the layout.
`MarkupDefinitionId` | `getMarkupDefinitionId()` Returns the `MarkupDefinitionId` for the `MarkupDefinition` associated with this layout.
`Date` | `getModifiedDate()` Gets the time that this object was last updated in the database.
`PlaceholderDefinition` | `getPlaceholderDefinition(int layoutLocation)` Returns a `PlaceholderDefinition` defined by this layout location.
`PlaceholderDefinition` | `getPlaceholderDefinition(PlaceholderDefinitionId placeholderDefinitionId)` Returns a `PlaceholderDefinition` defined by this layout given the `PlaceholderDefinitionId` for the placeholder.
`PlaceholderDefinition[]` | `getPlaceholderDefinitions()` Returns the `PlaceholderDefinition`s defined by this layout.
`String` | `getThumbnailUri()` Get the URI to the thumbnail representation (gif).
`String` | `getWebAppName()` Returns the web application name this layout is scoped to.
`boolean` | `isDeleted()` Returns whether this layout has been deleted.
`void` | `setDeleted(boolean deleted)` Sets whether this layout has been deleted
`void` | `setHtmlLayoutUri(String htmlLayoutUri)` Setter for property htmlLayoutUri.
`void` | `setIconUri(String iconUri)` Setter for property iconUri.
`void` | `setLayoutFile(String layoutFile)` Sets the layout file path for this layout.
`void` | `setLocalizationResource(LocalizationResource localizationResource)` Sets the `LocalizationResource` for this layout.
`void` | `setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)` Sets the `MarkupDefinitionId` for this layout.
`void` | `setPlaceholderDefinitions(PlaceholderDefinition[] placeholderDefinitions)` Sets placeholer on this layout
`void` | `setThumbnailUri(String thumbnailUri)` Set the URI to the thumbnail represenation (gif).
`void` | `setWebAppName(String webAppName)` Scopes this layout to given web applcation.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LayoutDefinition

    public LayoutDefinition(LocalizationResource localizationResource,
                            MarkupDefinitionId markupDefinitionId,
                            PlaceholderDefinition[] placeholderDefinitions,
                            String iconUri,
                            String htmlLayoutUri,
                            String webAppName,
                            String layoutFile,
                            boolean deleted)

  Constructs a new `LayoutDefinition` object.

  Parameters
    `localizationResource` - localized title and description
    `markupDefinitionId` - reference to a persisted `MarkupDefinition` that specifies the markup for this layout
    `placeholderDefinitions` - an array of `PlaceholderDefinition`s defined by this layout
    `iconUri` - uri of the icon to be used for this layout
    `htmlLayoutUri` - path to the layout file that specifies the partitioning of an html page. This file path is relative to the web application context
    `webAppName` - name of the J2EE web application this layout is scoped to
    `layoutFile` - path to the layout file. This file path is relative to the web application context
    `deleted` - is this layout deleted

Method Detail

### getLayoutDefinitionId

    public LayoutDefinitionId getLayoutDefinitionId()

  Returns the `LayoutDefinitionId` for this layout. Returns null if this layout has not been retrieved using the persistence API.

  Returns
    `LayoutDefinitionId`

### getPlaceholderDefinitions

    public PlaceholderDefinition[] getPlaceholderDefinitions()

  Returns the `PlaceholderDefinition`s defined by this layout.

  Returns
    `PlaceholderDefinition`s

### getPlaceholderDefinition

    public PlaceholderDefinition getPlaceholderDefinition(PlaceholderDefinitionId placeholderDefinitionId)

  Returns a `PlaceholderDefinition` defined by this layout given the `PlaceholderDefinitionId` for the placeholder. Returns null if this layout defines no placeholders or the placeholder with given `PlaceholderDefinitionId` does not exist in this layout.

  Parameters
    `placeholderDefinitionId` - `PlaceholderDefinitionId` of placeholder to be retrieved
  Returns
    `PlaceholderDefinitionId`

### getPlaceholderDefinition

    public PlaceholderDefinition getPlaceholderDefinition(int layoutLocation)

  Returns a `PlaceholderDefinition` defined by this layout location. first column == 0, second column == 1, ... Returns null if this layout does not have a placeholder with the supplied layout location.

  Parameters
    `layoutLocation` - index into the layout
  Returns
    `PlaceholderDefinition`

### setPlaceholderDefinitions

    public void setPlaceholderDefinitions(PlaceholderDefinition[] placeholderDefinitions)

  Sets placeholer on this layout

  Parameters
    `placeholderDefinitions` - `PlaceholderDefinition`s to be set on this layout

### getMarkupDefinitionId

    public MarkupDefinitionId getMarkupDefinitionId()

  Returns the `MarkupDefinitionId` for the `MarkupDefinition` associated with this layout.

  Returns
    `MarkupDefinitionId`
  See Also
    `MarkupDefinition`

### setMarkupDefinitionId

    public void setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)

  Sets the `MarkupDefinitionId` for this layout.

  Parameters
    `markupDefinitionId` -

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

  Returns the `LocalizationResource` associated with this layout based on the locale of the request used for retrieving the layout.

  Returns
    `LocalizationResource` associated with this layout

### setLocalizationResource

    public void setLocalizationResource(LocalizationResource localizationResource)

  Sets the `LocalizationResource` for this layout.

  Parameters
    `localizationResource` -

### getIconUri

    public String getIconUri()

  Getter for property iconUri.

  Returns
    Value of property iconUri.

### setIconUri

    public void setIconUri(String iconUri)

  Setter for property iconUri.

  Parameters
    `iconUri` - New value of property iconUri.

### getHtmlLayoutUri

    public String getHtmlLayoutUri()

  Getter for property htmlLayoutUri.

  Returns
    Value of property htmlLayoutUri.

### setHtmlLayoutUri

    public void setHtmlLayoutUri(String htmlLayoutUri)

  Setter for property htmlLayoutUri.

  Parameters
    `htmlLayoutUri` - New value of property htmlLayoutUri.

### getWebAppName

    public String getWebAppName()

  Returns the web application name this layout is scoped to.

  Returns
    web application name

### setWebAppName

    public void setWebAppName(String webAppName)

  Scopes this layout to given web applcation.

  Parameters
    `webAppName` -

### getLayoutFile

    public String getLayoutFile()

  Returns the path to the layout file. This path is relative to the web application context.

  Returns
    layout file path

### setLayoutFile

    public void setLayoutFile(String layoutFile)

  Sets the layout file path for this layout.

  Parameters
    `layoutFile` -

### isDeleted

    public boolean isDeleted()

  Returns whether this layout has been deleted.

  Returns
    true means this layout has been deleted

### setDeleted

    public void setDeleted(boolean deleted)

  Sets whether this layout has been deleted

  Parameters
    `deleted` -

### getCreatedDate

    public Date getCreatedDate()

  Gets the time that this object was created in the database.

  Specified by:
    `getCreatedDate` in interface `DateableDefinition`

### getModifiedDate

    public Date getModifiedDate()

  Gets the time that this object was last updated in the database.

  Specified by:
    `getModifiedDate` in interface `DateableDefinition`

### getThumbnailUri

    public String getThumbnailUri()

  Get the URI to the thumbnail representation (gif).

  Returns
    the URI to the thumbnail.

### setThumbnailUri

    public void setThumbnailUri(String thumbnailUri)

  Set the URI to the thumbnail represenation (gif).

  Parameters
    `thumbnailUri` -

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.